## mingw-w64-fgsl-1.6.0-1.src.tar.zst

=== doc/forum/Makefile ===


pdf : fgsl_disc.pdf
dvi : fgsl_disc.dvi

fgsl_disc.pdf : fgsl_disc.tex
	pdflatex $^
	pdflatex $^

fgsl_disc.dvi : fgsl_disc.tex
	latex $^
	latex $^
clean :
	rm -f *.pdf *.dvi *.log *.aux *~

=== PKGBUILD ===
# Contributor: Oleg A. Khlybov <fougas@mail.ru>

_realname=fgsl
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=1.6.0
pkgrel=1
gsl_required=2.7
pkgdesc="Fortran interface to the GNU scientific library (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64')
url="https://github.com/reinh-bader/fgsl"
msys2_references=(
  'aur: fgsl-git'
)
license=('spdx:GPL-2.0-or-later')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-fc"
             "${MINGW_PACKAGE_PREFIX}-autotools")
depends=($([[ ${MINGW_PACKAGE_PREFIX} == *-clang-* ]] || echo "${MINGW_PACKAGE_PREFIX}-gcc-libgfortran")
         "${MINGW_PACKAGE_PREFIX}-gsl>=${gsl_required}")
source=(https://github.com/reinh-bader/fgsl/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz)
sha256sums=('8b6a02912b917e4544fed655b8e925c9b7160a063df57afcb35f064f351f1434')

prepare() {
  cd ${_realname}-${pkgver}

  autoreconf -fiv
}

build() {
  mkdir -p ${srcdir}/build-${MSYSTEM} && cd ${srcdir}/build-${MSYSTEM}

  ../${_realname}-${pkgver}/configure \
    --prefix=${MINGW_PREFIX}

  make
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"
  make DESTDIR="${pkgdir}" install

  install -Dm644 ${srcdir}/${_realname}-${pkgver}/LICENSE ${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE
}

=== debian/control ===
Source: fgsl
Section: science
Priority: extra
Maintainer: Tom Schoonjans <Tom.Schoonjans@me.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, gcc (>= 4.4.0), gfortran (>= 4.4), libgsl0-dev
Standards-Version: 3.9.1
Homepage: http://www.lrz.de/services/software/mathematik/gsl/fortran

Package: libfgsl0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsl0ldbl, gfortran (>= 4.4.0)
Description: Fortran 2003 bindings for the GNU Scientific Library -- core


Package: libfgsl0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libfgsl0 (= ${binary:Version})
Description:  Fortran 2003 bindings for the GNU Scientific Library -- SDK



Package: libfgsl0-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfgsl0 (= ${binary:Version})
Description:  Fortran 2003 bindings for the GNU Scientific Library -- debug symbols

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

override_dh_strip:
	dh_strip -a --dbg-package=libfgsl0-dbg

%:
	dh $@
